 SUBROUTINE amr2tec(bl,critere,nb_bloc)
!=========================== DOCUMENTATION ============================= 
!DOCDEBh*    UTI/amr2tec  *
!
!    NOM
! amr2tec
!    DESCRIPTION  
!*
! Creation d un fichier cerfamr.dat permettant l affichage des critreres des blocs
!
! Creation of cerfamr.dat file for displaying block criteria
!*
! 
!    ENTREES / INPUT
!    bl : liste des blocs / blocks list
!    critere : valeur moyenne du critere par bloc / average criterion value per block
!    nb-bloc : nombre de blocs / block number
!
!    SORTIES / OUTPUT
!    
!    SOURCE
! Ce logiciel est regi par la licence [CeCILL-B]
! This software is governed by the [CeCILL-B] license
!=========================== DEBUT DES DECLARATIONS ==================== 
!.1-----  Implicit, Use
  use num
  IMPLICIT NONE
!.2-----  Declaration
  type(bloc),dimension(:), intent(in)            :: bl !! Liste des blocs / Blocks list
  real(kind=kind(0.d0)), dimension(:),intent(in) :: critere !! Valeur moyenne du critere par bloc / Average criterion value per block
  integer, intent(in)                            :: nb_bloc !! Nombre de blocs / Block number
  
  integer                                        :: i,ic,j
!=========================== DEBUT DU CODE EXECUTABLE ==================
  OPEN(12,file='cerfamr.dat',status='unknown')
  write(12,*)' TITLE="',0,'"'
  write(12,*)' VARIABLES="X","Y","Z","Niv","Crit","Dom"'
  write(12,*)' ZONE T=" Domaine',0,'" N=',nb_bloc*8,' E=',nb_bloc,' F=FEPOINT, ET=BRICK'
  DO i=1,nb_bloc
      DO j=1,8
          write(12,'(10e14.6)')bl(i)%s(j)%x,bl(i)%s(j)%y,bl(i)%s(j)%z,bl(i)%nrb*1.d0,critere(i),bl(i)%idom*1.d0
      END DO
  END DO
  DO i=1,nb_bloc
      ic=(i-1)*8
      write(12,'(8i9)')ic+1,ic+2,ic+3,ic+4,ic+5,ic+6,ic+7,ic+8
  END DO
!===========================   FIN DE LA ROUTINE    ====================
END SUBROUTINE amr2tec
!DOCFIN